Package ghidra.app.plugin.match

# Class MatchFunctions

java.lang.Object
ghidra.app.plugin.match.MatchFunctions

public class MatchFunctions extends Object
This class does the work of matching subroutines. Every subroutine in the current program is hashed and the start address is put into a table. There are often identical subroutines which may have the same hash value. Then the subroutines in the other program are hashed as well. All unique match pairs are returned as matches. The next step would be to use call graph information or address order to get additional matches.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MatchFunctions.MatchedFunctions`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<MatchFunctions.MatchedFunctions>`
  `matchFunctions(Program aProgram, AddressSetView setA, Program bProgram, AddressSetView setB, int minimumFunctionSize, boolean includeOneToOne, boolean includeNonOneToOne, FunctionHasher hasher, TaskMonitor monitor)`
  `static List<MatchFunctions.MatchedFunctions>`
  `matchOneFunction(Program aProgram, Address aEntryPoint, Program bProgram, FunctionHasher hasher, TaskMonitor monitor)`
  `static List<MatchFunctions.MatchedFunctions>`
  `matchOneFunction(Program aProgram, Address aEntryPoint, Program bProgram, AddressSetView bAddressSet, FunctionHasher hasher, TaskMonitor monitor)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### matchFunctions

    public static List<MatchFunctions.MatchedFunctions> matchFunctions(Program aProgram, AddressSetView setA, Program bProgram, AddressSetView setB, int minimumFunctionSize, boolean includeOneToOne, boolean includeNonOneToOne, FunctionHasher hasher, TaskMonitor monitor) throws CancelledException
    Throws:
      `CancelledException`

  - ### matchOneFunction

    public static List<MatchFunctions.MatchedFunctions> matchOneFunction(Program aProgram, Address aEntryPoint, Program bProgram, FunctionHasher hasher, TaskMonitor monitor) throws CancelledException
    Throws:
      `CancelledException`

  - ### matchOneFunction

    public static List<MatchFunctions.MatchedFunctions> matchOneFunction(Program aProgram, Address aEntryPoint, Program bProgram, AddressSetView bAddressSet, FunctionHasher hasher, TaskMonitor monitor) throws CancelledException
    Throws:
      `CancelledException`